/***************************************************************************/
/**  Archivo    : defines.h                                                */
/**  Resumen    : define los puertos y pines usados en el Sistema          */
/**  Autor		: Miguel Angel Rosales Navarro                             */
/***************************************************************************/
#include "stm32f4xx.h"
#include "stm32f4_discovery.h"
#include "stm32f4xx_gpio.h"
#include "tm_stm32f4_i2c.h"
#include "tm_stm32f4_spi.h"

#ifndef TM_DEFINES_H
#define TM_DEFINES_H

/**  */

/** KEYPAD */
#define GPIO_KEYPAD	GPIOA
//ROWS
#define PIN_KEYPAD_ROW_1 GPIO_Pin_0
#define PIN_KEYPAD_ROW_2 GPIO_Pin_1
#define PIN_KEYPAD_ROW_3 GPIO_Pin_2
#define PIN_KEYPAD_ROW_4 GPIO_Pin_3
//COLUMNS
#define PIN_KEYPAD_COLUMN_1 GPIO_Pin_4
#define PIN_KEYPAD_COLUMN_2 GPIO_Pin_5
#define PIN_KEYPAD_COLUMN_3 GPIO_Pin_6
#define PIN_KEYPAD_COLUMN_4 GPIO_Pin_7

/** LED ROJO */
#define GPIO_LED_RED GPIOA
#define CLK_LINE_LED_RED RCC_AHB1Periph_GPIOA
#define PIN_LED_RED GPIO_Pin_8

/** RED NARANJA */
#define GPIO_LED_ORANGE GPIOA
#define CLK_LINE_LED_ORANGE RCC_AHB1Periph_GPIOA
#define PIN_LED_ORANGE GPIO_Pin_9

/** LED VERDE */
#define GPIO_LED_GREEN GPIOA
#define CLK_LINE_LED_GREEN RCC_AHB1Periph_GPIOA
#define PIN_LED_GREEN GPIO_Pin_10

/** RELE */
#define GPIO_RELAY GPIOA
#define CLK_LINE_RELAY RCC_AHB1Periph_GPIOA
#define PIN_RELAY GPIO_Pin_11

/** SENSOR DE MOVIMIENTO */
#define GPIO_SENSOR_MOVEMENT GPIOA
#define CLK_LINE_SENSOR_MOVEMENT RCC_AHB1Periph_GPIOA
#define PIN_SENSOR_MOVEMENT GPIO_Pin_12

/** SENSOR MAGNETICO */
#define GPIO_SENSOR_MAGNETIC GPIOA
#define CLK_LINE_SENSOR_MAGNETIC RCC_AHB1Periph_GPIOA
#define PIN_SENSOR_MAGNETIC GPIO_Pin_13

/** DISPLAY */
#define GPIO_LCD GPIOD
#define CLK_LINE_LCD RCC_AHB1Periph_GPIOD
#define D4_LCD GPIO_Pin_1
#define D5_LCD GPIO_Pin_3
#define D6_LCD GPIO_Pin_5
#define D7_LCD GPIO_Pin_7
#define RS_LCD GPIO_Pin_0
#define RW_LCD GPIO_Pin_2
#define EN_LCD GPIO_Pin_4

//USO DE I2C EN LIBRERIAS "TM" (tm_stm32f4_i2c.h)

//---------------------------------------------|
//      | PINSPACK 1 | PINSPACK 2 | PINSPACK 3 |
//---------------------------------------------|
//I2CX  | SCL   SDA  | SCL   SDA  | SCL   SDA  |
//---------------------------------------------|
//I2C1  | PB6   PB7  | PB8   PB9  | PB6   PB9  |
//I2C2  | PB10  PB11 | PF1   PF0  | PH4   PH5  |
//I2C3  | PA8   PC9  | PH7   PH8  |  -     -   |
//---------------------------------------------|

//RTC
#define I2C_RELAY I2C1
#define I2C_PINSPACK_RELAY TM_I2C_PinsPack_1

//USO DE SPI EN LIBRERIAS "TM" (tm_stm32f4_spi.h)
//-------|-----------------------|-----------------------|--------------------|
//       | PINS PACK 1           | PINS PACK 2           | PINS PACK 3        |
//SPIX   | MOSI   MISO    SCK    | MOSI   MISO    SCK    | MOSI   MISO    SCK |
//-------|-----------------------|-----------------------|--------------------|
//SPI1   | PA7    PA6     PA5    | PB5    PB4     PB3    |                    |
//SPI2   | PC3    PC2     PB10   | PB15   PB14    PB13   | PI3    PI2     PI0 |
//SPI3   | PB5    PB4     PB3    | PC12   PC11    PC10   |                    |
//SPI4   | PE6    PE5     PE2    | PE14   PE13    PE12   |                    |
//SPI5   | PF9    PF8     PF7    | PF11   PH7     PH6    |                    |
//SPI6   | PG14   PG12    PG13   |                       |                    |
//-------|-----------------------|-----------------------|--------------------|

//RFID
#define SPI_RFID SPI4
#define SPI_PINSPACK_RFID TM_SPI_PinsPack_1
#define CS_RCC_RFID RCC_AHB1Periph_GPIOA
#define CS_PORT_RFID GPIOA
#define CS_PIN_RFID	GPIO_Pin_14

//SPEAKER
#define GPIO_SPEAKER GPIOC
#define CLK_LINE_SPEAKER RCC_AHB1Periph_GPIOC
#define PIN_SPEAKER_DAC1 GPIO_Pin_0
#define PIN_SPEAKER_DAC2 GPIO_Pin_1

#endif
/***************************************************************************/
