/***************************************************************************/
/**  Archivo    : leds.h                                                   */
/**  Resumen    : control de los leds del Sistema                          */
/**  Autor		: Miguel Angel Rosales Navarro                             */
/***************************************************************************/
#ifndef _LEDS_H_
#define _LEDS_H_



/** Inicializa los leds del Sistema (mapeo de pines en defines.h) */
void initLeds(void);

/** Activa o desactiva un led:
 *    activateLed: 1 = activar el led; 0 = desactivar el led
 *    numLed: selecciona el led a activar/desactivar (usar constantes de led)
 */
void activateLed(int activateLed, int numLed);

/** Funcion principal para controlar los leds del Sistema en funcion de las variables de estado */
void controlLeds(int alarmFired, int alarmStarted, int alarmConfigured);


#endif
/***************************************************************************/
