/***************************************************************************/
/**  Archivo    : main.c                                                   */
/**  Resumen    : funcion principal(inicializacion y loop) del Sistema     */
/**  Autor		: Miguel Angel Rosales Navarro                             */
/***************************************************************************/
#include "stm32f4xx.h"
#include "stm32f4_discovery.h"
#include "stm32f4xx_gpio.h"
#include "display.h"
#include "leds.h"
#include "keypad.h"
#include "rele.h"
#include "rfid.h"
#include "rtc.h"
#include "sensor_magnetico.h"
#include "sensor_movimiento.h"
#include "speaker.h"
#include "utilidades.h"
#include "tm_stm32f4_delay.h"

/** Variables globales */
int generalClockConfigured = 0;
int alarmClockConfigured = 0;
int alarmConfigured = 0;
int alarmStarted = 0;
int alarmFired = 0;
char menu = 'N';
char* temporal = " ";
char* temporalAux = " ";
char previousChar = ' ';
char* currentPassword = "0000";
uint8_t currentRfidPassword[4] = {57, 134, 84, 229};
int currentAlarmClockBegin = 0;
int currentAlarmClockEnd = 0;
int checkingPassword = 0;
int checkingPasswordNew = 0;
int checkingPasswordNewAux = 0;
int checkingHourCurrent = 0;
int checkingHourBegin = 0;
int checkingHourEnd = 0;

/** Programa principal */
int main(void) {
	// Inicializacion
	SystemInit();
	TM_DELAY_Init();
	initLeds();
	initRelay();
	initKeypad();
	initMagnetic();
	initMovement();
	initDisplay();
	initRFID();
	initRTC();
	initSpeaker();
	// Bucle Principal
	while (1) {
		controlLeds(alarmFired, alarmStarted, alarmConfigured);
		controlKeypad(&generalClockConfigured, &alarmClockConfigured, &alarmConfigured, &alarmStarted,
				       &alarmFired, &menu, &temporal, &temporalAux, &previousChar,
				       &currentAlarmClockBegin, &currentAlarmClockEnd, &currentPassword,
				       &checkingPassword, &checkingPasswordNew, &checkingPasswordNewAux, &checkingHourCurrent,
				       &checkingHourBegin, &checkingHourEnd);
		controlRFID(&alarmFired, &alarmStarted, &alarmConfigured, currentRfidPassword);
		controlSensors(&alarmFired, alarmStarted, currentAlarmClockBegin, currentAlarmClockEnd);
		Delay(100);
	}
}


/** Callback used by stm32f4_discovery_audio_codec.c. Refer to stm32f4_discovery_audio_codec.h for more info. */
void EVAL_AUDIO_TransferComplete_CallBack(uint32_t pBuffer, uint32_t Size) {
	return;
}

/** Callback used by stm324xg_eval_audio_codec.c. Refer to stm324xg_eval_audio_codec.h for more info. */
uint16_t EVAL_AUDIO_GetSampleCallBack(void) {
	return -1;
}
/***************************************************************************/
