/***************************************************************************/
/**  Archivo    : rele.c                                                   */
/**  Resumen    : control del rele del Sistema                             */
/**  Autor		: Miguel Angel Rosales Navarro                             */
/***************************************************************************/
#include "stm32f4xx.h"
#include "stm32f4_discovery.h"
#include "stm32f4xx_gpio.h"
#include <stdio.h>
#include "rele.h"
#include "defines.h"

void initRelay(void) {
	GPIO_InitTypeDef GPIO_InitDefRelay;
	RCC_AHB1PeriphClockCmd(CLK_LINE_RELAY, ENABLE);
	GPIO_InitDefRelay.GPIO_Pin = PIN_RELAY;
	GPIO_InitDefRelay.GPIO_Mode = GPIO_Mode_OUT;
	GPIO_InitDefRelay.GPIO_OType = GPIO_OType_PP;
	GPIO_InitDefRelay.GPIO_PuPd = GPIO_PuPd_NOPULL;
	GPIO_InitDefRelay.GPIO_Speed = GPIO_Speed_100MHz;
	GPIO_Init(GPIO_RELAY, &GPIO_InitDefRelay);
	GPIO_ResetBits(GPIO_RELAY, PIN_RELAY);
}

void activateRelay(int activateRelay) {
	if (activateRelay == 1) {
		GPIO_SetBits(GPIO_RELAY, PIN_RELAY);
	} else {
		GPIO_ResetBits(GPIO_RELAY, PIN_RELAY);
	}
}
/***************************************************************************/
