/***************************************************************************/
/**  Archivo    : rfid.c                                                   */
/**  Resumen    : control del rfid del Sistema                             */
/**  Autor		: Miguel Angel Rosales Navarro                             */
/***************************************************************************/
#include "stm32f4xx.h"
#include "stm32f4_discovery.h"
#include "stm32f4xx_gpio.h"
#include <stdio.h>
#include "rfid.h"
#include "utilidades.h"
#include "defines.h"
#include "tm_stm32f4_mfrc522.h"

void initRFID(void) {
	// Funcion incluida en "tm_stm32f4_mfrc522.h"
	TM_MFRC522_Init();
}

/** Comprueba si se hay una tarjeta cerca del lector y si esta autorizada
 *    Si devuelve 0 no esta autorizada, si devuelve 1 esta autorizada.
 */
int readRFID(uint8_t* currentRfidPassword) {
	int returnVal = 0;
	uint8_t cardRead[5];
	// Funcion incluida en "tm_stm32f4_mfrc522.h"
	if (TM_MFRC522_Check(cardRead) == MI_OK) {
		// Funcion incluida en "tm_stm32f4_mfrc522.h"
		if (TM_MFRC522_Compare(cardRead, currentRfidPassword) == MI_OK) {
			returnVal = 1;
		}
	}
	return returnVal;
}

void controlRFID(int *alarmFired, int *alarmStarted, int *alarmConfigured, uint8_t* currentRfidPassword) {
	if (readRFID(currentRfidPassword) == 1) {
		if (*alarmFired == 1) {
			stopAlarm(alarmFired, alarmStarted);
		} else if (*alarmStarted == 1) {
			stopAlarm(alarmFired, alarmStarted);
		} else if (*alarmConfigured == 1) {
			startAlarm(alarmStarted);
		}
	}
}
/***************************************************************************/
