/***************************************************************************/
/**  Archivo    : rtc.c                                                    */
/**  Resumen    : control del rtc del Sistema                              */
/**  Autor		: Miguel Angel Rosales Navarro                             */
/***************************************************************************/
#include "stm32f4xx.h"
#include "stm32f4_discovery.h"
#include "stm32f4xx_gpio.h"
#include <stdio.h>
#include <stdlib.h>
#include "rtc.h"
#include "defines.h"
#include "display.h"
#include "tm_stm32f4_ds1307.h"


void initRTC(void) {
	// Funcion incluida en "tm_stm32f4_ds1307.h"
	TM_DS1307_Init();
}

void programRTC(char* *currentHour){
	TM_DS1307_Time_t time;
	/* Establecer fecha dummy 2 de mayo de 2016 (".day" guarda el dia de la semana que es 1, lunes) */
	time.year = 16;
	time.month = 5;
	time.date = 2;
	time.day = 1;
	int hours = (atoi(currentHour[0])*10) + atoi(currentHour[1]);
	int minutes = (atoi(currentHour[2])*10) + atoi(currentHour[3]);
	time.hours = hours;
	time.minutes = minutes;
	time.seconds = 0;
	// Funcion incluida en "tm_stm32f4_ds1307.h"
	TM_DS1307_SetDateTime(&time);
}

int readRTC(void){
	int returnVal = 0;
	TM_DS1307_Time_t time;
	// Funcion incluida en "tm_stm32f4_ds1307.h"
	TM_DS1307_EnableOutputPin(TM_DS1307_OutputFrequency_4096Hz);
	// Funcion incluida en "tm_stm32f4_ds1307.h"
	TM_DS1307_GetDateTime(&time);
	returnVal = (time.hours*100) + time.minutes;
	return returnVal;
}
/***************************************************************************/
