/***************************************************************************/
/**  Archivo    : rtc.h                                                    */
/**  Resumen    : control del rtc del Sistema                              */
/**  Autor		: Miguel Angel Rosales Navarro                             */
/***************************************************************************/
#include "stm32f4xx.h"
#include "stm32f4_discovery.h"

#ifndef _RTC_H_
#define _RTC_H_

/** Inicializa el rtc del Sistema (mapeo de pines en defines.h) */
void initRTC(void);

/** Programa el rtc del Sistema con la hora (HHMM) enviada */
void programRTC(char* *currentHour);

/** Lee el rtc del Sistema devolviendo un int que representa la hora actual (HHMM) */
int readRTC(void);

#endif
/***************************************************************************/
