/***************************************************************************/
/**  Archivo    : sensor_magnetico.c                                       */
/**  Resumen    : control del sensor magnetico del Sistema                 */
/**  Autor		: Miguel Angel Rosales Navarro                             */
/***************************************************************************/
#include "stm32f4xx.h"
#include "stm32f4_discovery.h"
#include "stm32f4xx_gpio.h"
#include <stdio.h>
#include "sensor_magnetico.h"
#include "defines.h"

void initMagnetic(void) {
	GPIO_InitTypeDef GPIO_InitDefMagnetic;
	RCC_AHB1PeriphClockCmd(CLK_LINE_SENSOR_MAGNETIC, ENABLE);
	GPIO_InitDefMagnetic.GPIO_Pin = PIN_SENSOR_MAGNETIC;
	GPIO_InitDefMagnetic.GPIO_Mode = GPIO_Mode_IN;
	GPIO_InitDefMagnetic.GPIO_OType = GPIO_OType_PP;
	GPIO_InitDefMagnetic.GPIO_PuPd = GPIO_PuPd_NOPULL;
	GPIO_InitDefMagnetic.GPIO_Speed = GPIO_Speed_100MHz;
	GPIO_Init(GPIO_SENSOR_MAGNETIC, &GPIO_InitDefMagnetic);
}

int readMagnetic(void) {
	int returnVal = 0;
	if(GPIO_ReadInputDataBit(GPIO_SENSOR_MAGNETIC, PIN_SENSOR_MAGNETIC)) {
		returnVal = 1;
	}
	return returnVal;
}
/***************************************************************************/
