/***************************************************************************/
/**  Archivo    : sensor_movimiento.c                                      */
/**  Resumen    : control del sensor de movimiento del Sistema             */
/**  Autor		: Miguel Angel Rosales Navarro                             */
/***************************************************************************/
#include "stm32f4xx.h"
#include "stm32f4_discovery.h"
#include "stm32f4xx_gpio.h"
#include <stdio.h>
#include "sensor_movimiento.h"
#include "defines.h"

void initMovement(void) {
	GPIO_InitTypeDef GPIO_InitDefMovement;
	RCC_AHB1PeriphClockCmd(CLK_LINE_SENSOR_MOVEMENT, ENABLE);
	GPIO_InitDefMovement.GPIO_Pin = PIN_SENSOR_MOVEMENT;
	GPIO_InitDefMovement.GPIO_Mode = GPIO_Mode_IN;
	GPIO_InitDefMovement.GPIO_OType = GPIO_OType_PP;
	GPIO_InitDefMovement.GPIO_PuPd = GPIO_PuPd_NOPULL;
	GPIO_InitDefMovement.GPIO_Speed = GPIO_Speed_100MHz;
	GPIO_Init(GPIO_SENSOR_MOVEMENT, &GPIO_InitDefMovement);
}

int readMovement(void) {
	int returnVal = 0;
	if(GPIO_ReadInputDataBit(GPIO_SENSOR_MOVEMENT, PIN_SENSOR_MOVEMENT)) {
		returnVal = 1;
	}
	return returnVal;
}
/***************************************************************************/
