/***************************************************************************/
/**  Archivo    : speaker.c                                                */
/**  Resumen    : control de la senyal para el speaker del Sistema         */
/**  Autor		: Miguel Angel Rosales Navarro                             */
/***************************************************************************/
#include "stm32f4xx.h"
#include "stm32f4_discovery.h"
#include "stm32f4xx_gpio.h"
#include <stdio.h>
#include "speaker.h"
#include "defines.h"
#include "tm_stm32f4_dac_signal.h"

void initSpeaker(void) {
	// Funcion incluida en "tm_stm32f4_dac_signal.h"
	TM_DAC_SIGNAL_Init(TM_DAC1, TIM4);
}
void activateSound(int activateSound) {
	if (activateSound == 1) {
	    // Se activa el sonido con un seno de 440Hz (nota "La")
		// Funcion incluida en "tm_stm32f4_dac_signal.h"
	    TM_DAC_SIGNAL_SetSignal(TM_DAC2, TM_DAC_SIGNAL_Signal_Sinus, 440);
	} else {
		// Se desactiva el sonido con una senyal cuadrada modificada para que sus dos valores sean 0
		// Funcion incluida en "tm_stm32f4_dac_signal.h"
		TM_DAC_SIGNAL_SetSignal(TM_DAC2, TM_DAC_SIGNAL_Signal_Square, 440);
	}
}
/***************************************************************************/
