/***************************************************************************/
/**  Archivo    : speaker.c                                                */
/**  Resumen    : control de la senyal para el speaker del Sistema         */
/**  Autor		: Miguel Angel Rosales Navarro                             */
/***************************************************************************/
#include "stm32f4xx.h"
#include "stm32f4_discovery.h"

#ifndef _SPEAKER_H_
#define _SPEAKER_H_

/** Inicializa el DAC que controla la senyal que va al speaker del Sistema
 *  (mapeo de pines en defines.h)
 */
void initSpeaker(void);

/** Activa o desactiva la senyal que va al speaker del Sistema:
 *    activateSound: 1 = activar la senyal; 0 = desactivar la senyal.
 */
void activateSound(int activateSound);

#endif
/***************************************************************************/
