/***************************************************************************/
/**  Archivo    : utilidades.c                                             */
/**  Resumen    : libreria con funciones utiles a usar por el Sistema      */
/**  Autor		: Miguel Angel Rosales Navarro                             */
/***************************************************************************/
#include "stm32f4xx.h"
#include "stm32f4_discovery.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "utilidades.h"
#include "rele.h"
#include "speaker.h"
#include "leds.h"
#include "sensor_magnetico.h"
#include "sensor_movimiento.h"
#include "rtc.h"
#include "tm_stm32f4_delay.h"

int length(char* arrayChar) {
	int returnVal = strlen(arrayChar);
	return returnVal;
}

int checkPassword(char* password, char* auxPassword) {
	int returnVal = 0;
	if (strcmp(password, auxPassword) == 0) {
		returnVal = 1;
	}
	return returnVal;
}

int checkHour(char* hour) {
	int returnVal = 0;
	int intHour = atoi(hour);
	if ((intHour >=0) && (intHour < 2400)) {
		returnVal = 1;
	}
	return returnVal;
}

int alarmInProgrammedTime(int currentTime, int currentAlarmClockBegin, int currentAlarmClockEnd) {
	int returnVal = 0;

	if (currentAlarmClockBegin < currentAlarmClockEnd) {
		if ((currentTime >= currentAlarmClockBegin) && (currentTime <= currentAlarmClockEnd)) {
			returnVal = 1;
		}
	} else if (currentAlarmClockBegin > currentAlarmClockEnd) {
		if (((currentTime >= currentAlarmClockBegin) && (currentTime <= 0))
			||((currentTime >= 0) && (currentTime <= currentAlarmClockEnd))) {
			returnVal = 1;
		}
	}

	return returnVal;
}

void fireAlarm(int *alarmFired) {
	*alarmFired = 1;
	activateRelay(1);
	activateSound(1);
}
void stopAlarm(int *alarmFired, int *alarmStarted) {
	*alarmFired = 0;
	*alarmStarted = 0;
	activateRelay(0);
	activateSound(0);
}
void startAlarm(int *alarmStarted) {
	activateLed(0, 0);
	activateLed(1, 0);
	activateLed(2, 1);
	Delay(30000);
	*alarmStarted = 1;
}

void controlSensors(int *alarmFired, int alarmStarted, int currentAlarmClockBegin, int currentAlarmClockEnd) {
	if ((*alarmFired == 0) && (alarmStarted == 1)) {
		int mov = readMovement();
		int mag = readMagnetic();
		int currentTime = readRTC();
		if ((alarmInProgrammedTime(currentTime, currentAlarmClockBegin, currentAlarmClockEnd) == 1)
			&& ((mov == 1) || (mag == 0))) {
			fireAlarm(alarmFired);
		}
	}
}
/***************************************************************************/
